"use client";
import {
  MiniKit
} from "./chunk-VOZXVH3R.js";

// minikit-provider.tsx
import {
  createContext,
  useContext,
  useEffect,
  useState
} from "react";
import { jsx } from "react/jsx-runtime";
var MiniKitContext = createContext({
  isInstalled: false
});
var MiniKitProvider = ({
  children,
  props
}) => {
  const [isInstalled, setIsInstalled] = useState(false);
  useEffect(() => {
    MiniKit.install(props?.appId);
    MiniKit.commandsAsync.getPermissions().then(({ commandPayload: _, finalPayload }) => {
      if (finalPayload.status === "success") {
        MiniKit.user.permissions = {
          notifications: finalPayload.permissions.notifications,
          contacts: finalPayload.permissions.contacts
        };
      }
    });
    setIsInstalled(true);
  }, [props?.appId]);
  return /* @__PURE__ */ jsx(MiniKitContext.Provider, { value: { isInstalled }, children });
};
var useMiniKit = () => {
  const context = useContext(MiniKitContext);
  if (context === void 0) {
    throw new Error("useMiniKit must be used within a MiniKitProvider");
  }
  return context;
};
export {
  MiniKitProvider,
  useMiniKit
};
